API ReferenceEmail
Add Email Domain
Authorization
apiKey X-API-Key<token>
API key for authentication
In: header
Request Body
application/json
domain*string
Domain name to add (e.g., example.com)
Match
^([a-z0-9]+(-[a-z0-9]+)*\.)+[a-z]{2,}$Length
3 <= length <= 255Response Body
application/json
curl -X POST "https://samva.app/api/v1/email/domains" \ -H "Content-Type: application/json" \ -d '{ "domain": "string" }'{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"domain": "string",
"status": "pending",
"verifiedAt": "2019-08-24T14:15:22Z",
"dnsRecords": [
{
"type": "A",
"name": "string",
"value": "string",
"ttl": "string",
"description": "string",
"priority": -9007199254740991
}
],
"dkimTokens": [
"string"
],
"verificationToken": "string",
"createdAt": "2019-08-24T14:15:22Z",
"updatedAt": "2019-08-24T14:15:22Z"
}